This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 296051 - virt-manager no graphical console ('console was disconnected from guest')
virt-manager no graphical console ('console was disconnected from guest')
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 05:50 EDT by Richard W.M. Jones
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 23:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-09-19 05:50:49 EDT
Description of problem:

virt-manager cannot show the graphical console for any guest.
It just says "Console was disconnected from guest".

However the graphical console is still there.  If I do
  virsh dumpxml <dom> | grep vnc
and use vncviewer to connect directly, that works fine.

  # virsh dumpxml gentoo32fv|grep vnc
      <graphics type='vnc' port='5904'/>
  # vncviewer localhost:5904

Version-Release number of selected component (if applicable):

virt-manager-0.5.0-1.fc8
libvirt-0.3.2-2.fc8
xen-3.1.0-5rich1.fc8

(Xen includes a patch to fix bug 279581).

How reproducible:

Always

Steps to Reproduce:
1. Start some guests
2. Double click to try to access console
3.
  
Actual results:

Console window says "Console was disconnected from guest".

Expected results:

See guest's console.

Additional info:

In /root/.virt-manager/virt-manager.log I see:

[Wed, 19 Sep 2007 10:40:26 virt-manager 4015] DEBUG (console:284)
Graphics console configured at vnc://amd.home.annexia.org:5905
[Wed, 19 Sep 2007 10:40:26 virt-manager 4015] DEBUG (console:297)
Starting connect process for amd.home.annexia.org 5905
[Wed, 19 Sep 2007 10:40:26 virt-manager 4015] DEBUG (console:235)
VNC disconnected
[Wed, 19 Sep 2007 10:40:26 virt-manager 4015] WARNING (console:255)
Retrying connection in 1000 ms

which repeats until we eventually get:

[Wed, 19 Sep 2007 10:40:37 virt-manager 4015] ERROR (console:244)
Too many connection failures, not retrying again
Comment 1 Richard W.M. Jones 2007-09-19 05:54:34 EDT
I think I see what's going on.  The hostname is wrong.

$ vncviewer localhost:5905
This works.

$ vncviewer amd.home.annexia.org:5905
This fails with:
 main:        unable to connect to host: Connection refused (111)

$ vncviewer 192.168.2.128:5905
Also fails with:
 main:        unable to connect to host: Connection refused (111)

And the VNC process is only listening on the loopback interface:

# netstat -ap|grep 5905
tcp        0      0 localhost.localdomain:5905  *:*
LISTEN      4497/qemu-dm
Comment 2 Daniel Berrange 2007-09-26 23:00:47 EDT
The connection retry logic is fixed in 0.5.1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.